/***************************************************************

  BayCom(R)        Packet-Radio fuer IBM PC

  OpenBayCom-Mailbox

  ------------------------------
  Video- und Fileinitialisierung
  ------------------------------


  Copyright (c)       Florian Radlherr
                      Taubenbergstr. 32
                      83627 Warngau

  Alle Rechte vorbehalten / All Rights reserved

 ***************************************************************/

#include "baycom.h"

/*---------------------------------------------------------------------------*/

static void abortmsg (void)
{ if (*abortreason)
    printf ("\a\n>>> unrecoverable error condition:\n    %s\n", abortreason);
}

/*---------------------------------------------------------------------------*/

static void getparm (int argc, char *argv[])
{ printf ("\n" LOGINSIGN AUTHOR_ID);
/*
  while(argc>1)
  { if(strlen(argv[argc-1])>1)
    { switch(toupper(argv[argc-1][1]))
      {
//oe3dzw: Upper case for parameters!!
        case 'T': m.tcp_port=atoi(argv[argc-1]+2);  break;
        case 'H': m.http_port=atoi(argv[argc-1]+2);  break;
        case 'S': m.smtp_port=atoi(argv[argc-1]+2);  break;
        case 'P': m.pop3_port=atoi(argv[argc-1]+2);  break;
        case 'N': m.nntp_port=atoi(argv[argc-1]+2);  break;
        case 'M': m.serv_port=atoi(argv[argc-1]+2);  break;

        default:
          printf("\n%s [-p <num>] [-h <num>]\n",argv[0]);
          puts("  -t [<portnum>] set tcp-port for login (default 4719)\n"
               "  -t (without port) disables tcp\n");
          puts("  -h [<portnum>] set tcp-port for http (default 8080)\n"
               "  -h (without port) disables http\n");
          puts("  -s [<portnum>] set tcp-port for smtp (default 8025)\n"
               "  -s (without port) disables smtp\n");
          puts("  -p [<portnum>] set tcp-port for pop3 (default 8110)\n"
               "  -p (without port) disables pop3\n");
          puts("  -n [<portnum>] set tcp-port for nntp (default 8119)\n"
               "  -n (without port) disables nntp\n");
          puts("  -m [<portnum>] set tcp-port for serv (default 8123)\n"
               "  -m (without port) disables serv\n");
          exit(0);
      }
      argc--;
    }
  }
  */
}

/*---------------------------------------------------------------------------*/

int main (int argc, char *argv[])
{
#ifdef _WIN32
  OSVERSIONINFO OsVer;
  OsVer.dwOSVersionInfoSize = sizeof (OSVERSIONINFO);
  GetVersionEx (&OsVer);

  if (OsVer.dwPlatformId != VER_PLATFORM_WIN32_NT)
      if (MessageBox (0, "Windows 95/98 or WIN32s is not recommended for bcm32!\n"
                      "Press OK to continue on your own risk or\n"
                      "Press Cancel to quit and install Windows NT/2000/XP.\n",
                      "Notification", MB_OKCANCEL) != IDOK)
        exit (0);
#endif
  getparm (argc, argv);
  t_allocinit ();
  fixpath (argv[0]);
  cdhome ();
  atexit (abortmsg);
  maintask ();
  return 0;
}

/*---------------------------------------------------------------------------*/
